[PATCH] t7800: respect NO_PERL

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Difftool is written in perl, so we don't build it if NO_PERL
is set.

Signed-off-by: Jeff King <peff@xxxxxxxx>
---
 t/t7800-difftool.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/t/t7800-difftool.sh b/t/t7800-difftool.sh
index 2586f86..ebdccf9 100755
--- a/t/t7800-difftool.sh
+++ b/t/t7800-difftool.sh
@@ -10,6 +10,11 @@ Testing basic diff tool invocation
 
 . ./test-lib.sh
 
+if ! test_have_prereq PERL; then
+	say 'skipping difftool tests, perl not available'
+	test_done
+fi
+
 remove_config_vars()
 {
 	# Unset all config variables used by git-difftool
-- 
1.6.3.rc1.226.ga8d61c
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]